load_pcx_pf(3)

NAME
load_pcx_pf - Packfile version of load_pcx. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

BITMAP *load_pcx_pf(PACKFILE *f, RGB *pal);

DESCRIPTION
A version of load_pcx() which reads from a packfile. Example:
   PACKFILE *packfile;
   BITMAP *bmp;

   packfile = pack_fopen("mybitmap.pcx", F_READ);
   if (!packfile)
      abort_on_error("Couldn't open mybitmap.pcx");

   bmp = load_bmp_pf(packfile, pal);
   if (!bmp)
      abort_on_error("Error loading mybitmap.pcx");

RETURN VALUE
Returns a pointer to the bitmap or NULL on error. Remember that you are responsible for destroying the bitmap when you are finished with it to avoid memory leaks.

SEE ALSO
load_pcx(3), expackf(3)